// -----------------------------------------------------------------------------
// This file contains all application-wide Sass mixins.
// -----------------------------------------------------------------------------

/// Event wrapper
/// @author Harry Roberts
/// @param {Bool} $self [false] - Whether or not to include current selector
/// @link https://twitter.com/csswizardry/status/478938530342006784 Original tweet from Harry Roberts
@mixin on-event($self: false) {
  @if $self {
    &,
    &:hover,
    &:active,
    &:focus {
      @content;
    }
  } @else {
    &:hover,
    &:active,
    &:focus {
      @content;
    }
  }
}

/// Make a context based selector a little more friendly
/// @author Hugo Giraudel
/// @param {String} $context
@mixin when-inside($context) {
  #{$context} & {
    @content;
  }
}

@mixin mediaMaxWidth($args...){
    @if length($args) == 1{
        @media (max-width:nth($args,1)){
            @content;
        }
    } 
    @else{
        @media (max-width:nth($args,1)) and (min-width:nth($args,2)){
            @content;
        }
    }
}
@mixin mediaMinWidth($args...){
    @if length($args) == 1{
        @media (min-width:nth($args,1)){
            @content;
        }
    } 
    @else{
        @media (min-width:nth($args,1)) and (min-width:nth($args,2)){
            @content;
        }
    }
}

@mixin transition-time($time) {
    -moz-transition: all $time ease-in-out;
    -o-transition: all $time ease-in-out;
    -webkit-transition: all $time ease-in-out;
    transition: all $time ease-in-out;
}
@mixin keyframes( $animationName ){
    @-webkit-keyframes #{$animationName} {
        @content;
    }
    @-moz-keyframes #{$animationName} {
        @content;
    }
    @-o-keyframes #{$animationName} {
        @content;
    }
    @keyframes #{$animationName} {
        @content;
    }
}

@mixin basicfont($a, $b, $c) {
    font-family: $a;
    font-weight: bold;
    font-size: $b;
    color:$c;
}
@mixin bg($bg) {
    background-image: $bg;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

/*
example keyframes
@include keyframes( incrediblehulk ){
    0% {
        color: #f8d2c0;
    }
    100% {
        color: #0f0;
    }
}*/


